# mypy-boto3-alexaforbusiness<a id="mypy-boto3-alexaforbusiness"></a>

[![PyPI - mypy-boto3-alexaforbusiness](https://img.shields.io/pypi/v/mypy-boto3-alexaforbusiness.svg?color=blue)](https://pypi.org/project/mypy-boto3-alexaforbusiness)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-alexaforbusiness.svg?color=blue)](https://pypi.org/project/mypy-boto3-alexaforbusiness)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dw/mypy-boto3-alexaforbusiness?color=blue)](https://pypistats.org/packages/mypy-boto3-alexaforbusiness)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/master/logo.png)

Type annotations for
[boto3.AlexaForBusiness 1.17.70](https://boto3.amazonaws.com/v1/documentation/api/1.17.70/reference/services/alexaforbusiness.html#AlexaForBusiness)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-buider 4.12.0](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[mypy-boto3-alexaforbusiness docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_alexaforbusiness/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/master/demo.gif)

- [mypy-boto3-alexaforbusiness](#mypy-boto3-alexaforbusiness)
  - [How to install](#how-to-install)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

## How to install<a id="how-to-install"></a>

Install `boto3-stubs` for `AlexaForBusiness` service.

```bash
python -m pip install boto3-stubs[alexaforbusiness]
```

## Usage<a id="usage"></a>

### VSCode<a id="vscode"></a>

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `boto-stubs[alexaforbusiness]` in your environment:
  `python -m pip install 'boto3-stubs[alexaforbusiness]'`

Both type checking and auto-complete should work for `AlexaForBusiness`
service. No explicit type annotations required, write your `boto3` code as
usual.

### PyCharm<a id="pycharm"></a>

- Install `boto-stubs[alexaforbusiness]` in your environment:
  `python -m pip install 'boto3-stubs[alexaforbusiness]'`

Both type checking and auto-complete should work for `AlexaForBusiness`
service. No explicit type annotations required, write your `boto3` code as
usual. Auto-complete can be slow on big projects or if you have a lot of
installed `boto3-stubs` submodules.

### Other IDEs<a id="other-ides"></a>

Not tested, but as long as your IDE support `mypy` or `pyright`, everything
should work.

### mypy<a id="mypy"></a>

- Install `mypy`: `python -m pip install mypy`
- Install `boto-stubs[alexaforbusiness]` in your environment:
  `python -m pip install 'boto3-stubs[alexaforbusiness]'`
- Run `mypy` as usual

Type checking should work for `AlexaForBusiness` service. No explicit type
annotations required, write your `boto3` code as usual.

### pyright<a id="pyright"></a>

- Install `pyright`: `yarn global add pyright`
- Install `boto-stubs[alexaforbusiness]` in your environment:
  `python -m pip install 'boto3-stubs[alexaforbusiness]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `AlexaForBusiness` service. No explicit type
annotations required, write your `boto3` code as usual.

## Explicit type annotations<a id="explicit-type-annotations"></a>

### Client annotations<a id="client-annotations"></a>

`AlexaForBusinessClient` provides annotations for
`boto3.client("alexaforbusiness")`.

```python
import boto3

from mypy_boto3_alexaforbusiness import AlexaForBusinessClient

client: AlexaForBusinessClient = boto3.client("alexaforbusiness")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: AlexaForBusinessClient = session.client("alexaforbusiness")
```

### Paginators annotations<a id="paginators-annotations"></a>

`mypy_boto3_alexaforbusiness.paginator` module contains type annotations for
all paginators.

```python
from mypy_boto3_alexaforbusiness import AlexaForBusinessClient
from mypy_boto3_alexaforbusiness.paginator import (
    ListBusinessReportSchedulesPaginator,
    ListConferenceProvidersPaginator,
    ListDeviceEventsPaginator,
    ListSkillsPaginator,
    ListSkillsStoreCategoriesPaginator,
    ListSkillsStoreSkillsByCategoryPaginator,
    ListSmartHomeAppliancesPaginator,
    ListTagsPaginator,
    SearchDevicesPaginator,
    SearchProfilesPaginator,
    SearchRoomsPaginator,
    SearchSkillGroupsPaginator,
    SearchUsersPaginator,
)

client: AlexaForBusinessClient = boto3.client("alexaforbusiness")

# Explicit type annotations are optional here
# Type should be correctly discovered by mypy and IDEs
# VSCode requires explicit type annotations
list_business_report_schedules_paginator: ListBusinessReportSchedulesPaginator = client.get_paginator("list_business_report_schedules")
list_conference_providers_paginator: ListConferenceProvidersPaginator = client.get_paginator("list_conference_providers")
list_device_events_paginator: ListDeviceEventsPaginator = client.get_paginator("list_device_events")
list_skills_paginator: ListSkillsPaginator = client.get_paginator("list_skills")
list_skills_store_categories_paginator: ListSkillsStoreCategoriesPaginator = client.get_paginator("list_skills_store_categories")
list_skills_store_skills_by_category_paginator: ListSkillsStoreSkillsByCategoryPaginator = client.get_paginator("list_skills_store_skills_by_category")
list_smart_home_appliances_paginator: ListSmartHomeAppliancesPaginator = client.get_paginator("list_smart_home_appliances")
list_tags_paginator: ListTagsPaginator = client.get_paginator("list_tags")
search_devices_paginator: SearchDevicesPaginator = client.get_paginator("search_devices")
search_profiles_paginator: SearchProfilesPaginator = client.get_paginator("search_profiles")
search_rooms_paginator: SearchRoomsPaginator = client.get_paginator("search_rooms")
search_skill_groups_paginator: SearchSkillGroupsPaginator = client.get_paginator("search_skill_groups")
search_users_paginator: SearchUsersPaginator = client.get_paginator("search_users")
```

### Literals<a id="literals"></a>

`mypy_boto3_alexaforbusiness.literals` module contains literals extracted from
shapes that can be used in user code for type checking.

```python
from mypy_boto3_alexaforbusiness.literals import (
    BusinessReportFailureCode,
    BusinessReportFormat,
    BusinessReportInterval,
    BusinessReportStatus,
    CommsProtocol,
    ConferenceProviderType,
    ConnectionStatus,
    DeviceEventType,
    DeviceStatus,
    DeviceStatusDetailCode,
    DeviceUsageType,
    DistanceUnit,
    EnablementType,
    EnablementTypeFilter,
    EndOfMeetingReminderType,
    EnrollmentStatus,
    Feature,
    ListBusinessReportSchedulesPaginatorName,
    ListConferenceProvidersPaginatorName,
    ListDeviceEventsPaginatorName,
    ListSkillsPaginatorName,
    ListSkillsStoreCategoriesPaginatorName,
    ListSkillsStoreSkillsByCategoryPaginatorName,
    ListSmartHomeAppliancesPaginatorName,
    ListTagsPaginatorName,
    Locale,
    NetworkEapMethod,
    NetworkSecurityType,
    PhoneNumberType,
    RequirePin,
    SearchDevicesPaginatorName,
    SearchProfilesPaginatorName,
    SearchRoomsPaginatorName,
    SearchSkillGroupsPaginatorName,
    SearchUsersPaginatorName,
    SipType,
    SkillType,
    SkillTypeFilter,
    SortValue,
    TemperatureUnit,
    WakeWord,
)

def check_value(value: BusinessReportFailureCode) -> bool:
    ...
```

### Typed dictionaries<a id="typed-dictionaries"></a>

`mypy_boto3_alexaforbusiness.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from mypy_boto3_alexaforbusiness.type_defs import (
    AddressBookDataTypeDef,
    AddressBookTypeDef,
    AudioTypeDef,
    BusinessReportContentRangeTypeDef,
    BusinessReportRecurrenceTypeDef,
    BusinessReportS3LocationTypeDef,
    BusinessReportScheduleTypeDef,
    BusinessReportTypeDef,
    CategoryTypeDef,
    ConferencePreferenceTypeDef,
    ConferenceProviderTypeDef,
    ContactDataTypeDef,
    ContactTypeDef,
    ContentTypeDef,
    CreateAddressBookResponseTypeDef,
    CreateBusinessReportScheduleResponseTypeDef,
    CreateConferenceProviderResponseTypeDef,
    CreateContactResponseTypeDef,
    CreateEndOfMeetingReminderTypeDef,
    CreateGatewayGroupResponseTypeDef,
    CreateInstantBookingTypeDef,
    CreateMeetingRoomConfigurationTypeDef,
    CreateNetworkProfileResponseTypeDef,
    CreateProfileResponseTypeDef,
    CreateRequireCheckInTypeDef,
    CreateRoomResponseTypeDef,
    CreateSkillGroupResponseTypeDef,
    CreateUserResponseTypeDef,
    DeveloperInfoTypeDef,
    DeviceDataTypeDef,
    DeviceEventTypeDef,
    DeviceNetworkProfileInfoTypeDef,
    DeviceStatusDetailTypeDef,
    DeviceStatusInfoTypeDef,
    DeviceTypeDef,
    EndOfMeetingReminderTypeDef,
    FilterTypeDef,
    GatewayGroupSummaryTypeDef,
    GatewayGroupTypeDef,
    GatewaySummaryTypeDef,
    GatewayTypeDef,
    GetAddressBookResponseTypeDef,
    GetConferencePreferenceResponseTypeDef,
    GetConferenceProviderResponseTypeDef,
    GetContactResponseTypeDef,
    GetDeviceResponseTypeDef,
    GetGatewayGroupResponseTypeDef,
    GetGatewayResponseTypeDef,
    GetInvitationConfigurationResponseTypeDef,
    GetNetworkProfileResponseTypeDef,
    GetProfileResponseTypeDef,
    GetRoomResponseTypeDef,
    GetRoomSkillParameterResponseTypeDef,
    GetSkillGroupResponseTypeDef,
    IPDialInTypeDef,
    InstantBookingTypeDef,
    ListBusinessReportSchedulesResponseTypeDef,
    ListConferenceProvidersResponseTypeDef,
    ListDeviceEventsResponseTypeDef,
    ListGatewayGroupsResponseTypeDef,
    ListGatewaysResponseTypeDef,
    ListSkillsResponseTypeDef,
    ListSkillsStoreCategoriesResponseTypeDef,
    ListSkillsStoreSkillsByCategoryResponseTypeDef,
    ListSmartHomeAppliancesResponseTypeDef,
    ListTagsResponseTypeDef,
    MeetingRoomConfigurationTypeDef,
    MeetingSettingTypeDef,
    NetworkProfileDataTypeDef,
    NetworkProfileTypeDef,
    PSTNDialInTypeDef,
    PaginatorConfigTypeDef,
    PhoneNumberTypeDef,
    ProfileDataTypeDef,
    ProfileTypeDef,
    RegisterAVSDeviceResponseTypeDef,
    RequireCheckInTypeDef,
    ResolveRoomResponseTypeDef,
    RoomDataTypeDef,
    RoomSkillParameterTypeDef,
    RoomTypeDef,
    SearchAddressBooksResponseTypeDef,
    SearchContactsResponseTypeDef,
    SearchDevicesResponseTypeDef,
    SearchNetworkProfilesResponseTypeDef,
    SearchProfilesResponseTypeDef,
    SearchRoomsResponseTypeDef,
    SearchSkillGroupsResponseTypeDef,
    SearchUsersResponseTypeDef,
    SendAnnouncementResponseTypeDef,
    SipAddressTypeDef,
    SkillDetailsTypeDef,
    SkillGroupDataTypeDef,
    SkillGroupTypeDef,
    SkillSummaryTypeDef,
    SkillsStoreSkillTypeDef,
    SmartHomeApplianceTypeDef,
    SortTypeDef,
    SsmlTypeDef,
    TagTypeDef,
    TextTypeDef,
    UpdateEndOfMeetingReminderTypeDef,
    UpdateInstantBookingTypeDef,
    UpdateMeetingRoomConfigurationTypeDef,
    UpdateRequireCheckInTypeDef,
    UserDataTypeDef,
)

def get_structure() -> AddressBookDataTypeDef:
    return {
      ...
    }
```

## Versioning<a id="versioning"></a>

`mypy-boto3-alexaforbusiness` version is the same as related `boto3` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

## Documentation<a id="documentation"></a>

All type annotations can be found in
[mypy-boto3-alexaforbusiness docs](https://vemel.github.io/boto3_stubs_docs/mypy_boto3_alexaforbusiness/)

## Support and contributing<a id="support-and-contributing"></a>

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
